Skip to content

Report edge heartbeat

POST /api/v1/edge-protocol/devices/{device_id}/heartbeats

Authentication options declared in the contract include device-scoped appliance credential.

Authentication and permissions explains tokens, cookies, CSRF, and workspace context.

Name Location Required Type Description and constraints
device_id path Yes string (uuid)

Required.

application/json — EdgeHeartbeatBody.

Field Type Required Description and constraints
bootId string (uuid) Yes
bootGeneration integer (int64) Yes minimum 1.0. maximum 9007199254740991.0
sequence integer (int64) Yes minimum 1.0. maximum 9007199254740991.0
softwareVersion string Yes pattern ^[0-9]+\.[0-9]+\.[0-9]+(?:[-+][A-Za-z0-9.-]+)?$
recorder string Yes values "healthy", "recovering", "failed"
detector string Yes values "healthy", "recovering", "unlicensed", "overloaded", "failed"
uploader string Yes values "healthy", "backlog", "failed"
freeStorageBytes integer (int64) Yes minimum 0.0. maximum 9007199254740991.0
pendingBytes integer (int64) Yes minimum 0.0. maximum 9007199254740991.0
unclassifiedDurationUs integer (int64) Yes minimum 0.0. maximum 9007199254740991.0
activeCameraCount integer Yes minimum 0.0. maximum 100.0

Set the connection variables described in Get started. Replace each additional EOI_… variable with the parameter value for this request. Prepare the body file using the request schema above. This template sends the request when run.

Terminal window
curl --fail-with-body --silent --show-error \
--request POST \
--header "Authorization: Bearer ${EOI_EDGE_TOKEN}" \
--header "Content-Type: application/json" \
--data-binary @request.json \
"${EOI_API_BASE_URL}/edge-protocol/devices/${EOI_DEVICE_ID}/heartbeats"

The table records responses declared by the OpenAPI contract. See Errors and status codes for the runtime error envelope and shared failures.

Status Description Media type Body
204 Successful Response — Empty body
422 Validation Error application/json HTTPValidationError

Operation identifier reportEdgeHeartbeat. Browse Device protocol.

Image preview